置き換え文字一覧
curl --request GET \
--url https://api.utage-system.com/v1/accounts/{account_id}/scenarios/{scenario_id}/placeholders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.utage-system.com/v1/accounts/{account_id}/scenarios/{scenario_id}/placeholders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.utage-system.com/v1/accounts/{account_id}/scenarios/{scenario_id}/placeholders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"placeholder": "%name%",
"name": "<string>",
"is_filterable": true
}
]
}{
"error": {
"code": "unauthorized",
"message": "認証に失敗しました"
}
}{
"error": {
"code": "not_found",
"message": "リソースが見つかりません"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "リクエスト上限を超えました。しばらく時間を空けて再試行してください"
}
}メッセージ
置き換え文字一覧
プレビュー機能。仕様は今後変更される可能性があります。 指定シナリオで使用できる置き換え文字(書式は %name%)の一覧を取得します。カテゴリで絞り込みできます。
is_filterable=trueのreader_itemのみ、読者一覧のconditions.rules[].keyとして使用できます。system/payment/eventは固定リストです。text_templateは%original-{key}%形式です。
置き換え文字一覧
GET
https://api.utage-system.com/v1/accounts/{account_id}/scenarios/{scenario_id}/placeholders
この機能はプレビュー版です。仕様が変更される場合があります。
Authorizations
APIキーをBearerトークンとして指定
Query Parameters
カテゴリで絞り込み
reader_item: 読者項目system: システム変数text_template: 独自置き換え文字payment: 決済連携event: イベント連携
Available options:
reader_item, system, text_template, payment, event Response
置き換え文字一覧
Show child attributes
Show child attributes
⌘I